package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2022-11-01 15:54
 */
@Data
@ApiModel("日常点检报表班次配置MODEL")
public class SxDailyCheckShiftCfgModel implements Serializable {

    private static final long serialVersionUID = -738808464445194928L;

    @ApiParam("班次代码")
    public String shiftCode;

    @ApiParam("班次类型 1=白班 2=晚班")
    public Integer shiftType;

    @ApiParam("上午起始")
    public String morningStart;

    @ApiParam("上午截止")
    public String morningEnd;

    @ApiParam("下午起始")
    public String afternoonStart;

    @ApiParam("下午截止")
    public String afternoonEnd;


    public static void main(String[] args) {
        List<SxDailyCheckShiftCfgModel> shiftCfgList = new ArrayList<>();
        SxDailyCheckShiftCfgModel shiftCfg = new SxDailyCheckShiftCfgModel();
        shiftCfg.setShiftCode("A01");
        shiftCfg.setShiftType(1);
        shiftCfg.setMorningStart("08:00:00");
        shiftCfg.setMorningEnd("11:59:59");
        shiftCfg.setAfternoonStart("12:00:00");
        shiftCfg.setAfternoonEnd("19:59:59");
        shiftCfgList.add(shiftCfg);
        SxDailyCheckShiftCfgModel shiftCfg1 = new SxDailyCheckShiftCfgModel();
        shiftCfg1.setShiftCode("A02");
        shiftCfg1.setShiftType(2);
        shiftCfg1.setMorningStart("20:00:00");
        shiftCfg1.setMorningEnd("23:59:59");
        shiftCfg1.setAfternoonStart("00:00:00");
        shiftCfg1.setAfternoonEnd("07:59:59");
        shiftCfgList.add(shiftCfg1);
        System.out.println(JSONObject.toJSONString(shiftCfgList));
    }

}
